"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AndroidViewView = void 0;
Object.defineProperty(exports, "MyViewManager", {
  enumerable: true,
  get: function () {
    return _MyView.default;
  }
});
var _reactNative = require("react-native");
var _MyView = _interopRequireDefault(require("./MyView"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const LINKING_ERROR = `The package 'react-native-android-view' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ComponentName = 'AndroidViewView';
const AndroidViewView = exports.AndroidViewView = _reactNative.UIManager.getViewManagerConfig(ComponentName) != null ? (0, _reactNative.requireNativeComponent)(ComponentName) : () => {
  throw new Error(LINKING_ERROR);
};

// Export the new MyNativeView component
//# sourceMappingURL=index.js.map